#ifndef __TOOLS_H__
#define __TOOLS_H__


#include "civedit.h"
#include "toolfunc.h"

#define NB_COLORS 12
#define TOOLS_NUMBER 9


typedef struct _tool
 {
  char *name;
  char **pixmap_data;
  GdkPixmap *pixmap;
  GdkBitmap *mask;
  char *tiptext;
  ToolFunction function_press;
  ToolFunction function_release;
  GtkWidget *button;
  gint id;
 } Tool;

Tool *current_tool;

void create_tools_palette(void);
void change_race(void);
extern gint country;
void show_tools(void);
void show_tips(void);

void cut(void);
void copy(void);
void paste(void);

void tile(void);
void line(void);
void rectangle(void);
void special(void);
void startpos(void);

#endif /* __TOOLS_H__ */
